> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Webhook Secret



## OpenAPI

````yaml /api-reference/openapi.json post /v1/agents/{agent_id}/webhook-secret/rotate
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/agents/{agent_id}/webhook-secret/rotate:
    post:
      tags:
        - Agents
      summary: Rotate Webhook Secret
      operationId: apps_agents_api_rotate_webhook_secret
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Agent Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSecret'
          description: OK
      security:
        - UserSessionAuth: []
components:
  schemas:
    WebhookSecret:
      properties:
        secret:
          title: Secret
          type: string
      required:
        - secret
      title: WebhookSecret
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.